Contract:
  properties:
    AccountID:
      description: Account
      type: string
    ActivatedByID:
      description: Activated By
      type: string
    ActivatedDate:
      description: Activated Date
      type: string
    BillingAddress:
      $ref: "./address.yaml#/Address"
      description: Billing Address
    BillingContactID:
      description: Billing Contact
      type: string
    CompanySignedDate:
      description: Company Signed Date
      type: string
    CompanySignedID:
      description: Company Signed By
      type: string
    ContractNumber:
      description: Contract Number
      type: string
    ContractTerm:
      description: Contract Term (months)
      type: number
    CreatedByID:
      description: Created By User ID
      type: string
    CreatedDate:
      description: Created Date
      type: string
    CustomerSignedDate:
      description: Customer Signed Date
      type: string
    CustomerSignedID:
      description: Customer Signed By
      type: string
    CustomerSignedTitle:
      description: Customer Signed Title
      type: string
    DefaultEndUserID:
      description: End User
      type: string
    Description:
      description: Description
      type: string
    EndDate:
      description: Contract End Date
      type: string
    EndUserID:
      description: End User
      type: string
    HourlyRate:
      description: Hourly Rate
      type: number
    ID:
      description: Telnexus Record Id
      type: string
    LastModifiedByID:
      description: Last Modified By User ID
      type: string
    LastModifiedDate:
      description: Last Modified Date
      type: string
    Name:
      description: Contract Name
      type: string
    PaymentMethodID:
      description: Payment Method
      type: string
    PaymentTerms:
      description: Payment Terms
      type: string
    Perpetual:
      description: Perpetual Agreement?
      type: boolean
    ShippingAddress:
      $ref: "./address.yaml#/Address"
      description: Shipping Address
    ShippingContactID:
      description: Shipping Contact
      type: string
    StartDate:
      description: Contract Start Date
      type: string
    Status:
      description: Status
      type: string
    TenantID:
      description: Tenant Identifier
      type: string
  type: object
